<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'TopicsCta',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpRow class="slp-flex slp-flex-column">
    <SlpColumn :cols="data.column_size || 12">
      <section class="container">
        <SlpTypography
          tag="h2"
          variant="heading2-bold"
          class="container__title"
        >
          <span class="container__title-image"></span>{{ data.title }}
        </SlpTypography>

        <SlpTypography
          v-if="data.subtitle"
          tag="h3"
          variant="heading4"
          class="container__subtitle"
        >
          {{ data.subtitle }}
        </SlpTypography>
        <SlpTypography class="container__text" tag="p" variant="heading5">
          {{ data.text }}
        </SlpTypography>
        <div class="container__cta">
          <SlpButton
            v-if="data.cta_one"
            class="slp-mr-8 cta__button"
            :href="data.cta_one.link"
            :data-ga-name="data.cta_one.data_ga_name"
            :data-ga-location="data.cta_one.data_ga_location"
            >{{ data.cta_one.text }}</SlpButton
          >
          <SlpButton
            v-if="data.cta_two"
            class="cta__button"
            :href="data.cta_two.link"
            :data-ga-name="data.cta_two.data_ga_name"
            :data-ga-location="data.cta_two.data_ga_location"
            >{{ data.cta_two.text }}</SlpButton
          >
        </div>
      </section>
    </SlpColumn>
  </SlpRow>
</template>

<style lang="scss" scoped>
.cta__button {
  justify-content: center;
}
.container {
  margin: $spacing-64 0;
  background: $color-surface-800;
  border-radius: $border-radius-24;
  padding: $spacing-48;
  &__title {
    margin-bottom: $spacing-32;
    &-image {
      position: relative;
      display: inline;
    }
  }

  &__subtitle {
    margin-bottom: $spacing-16;
    font-weight: 600;
  }

  &__text {
    margin-bottom: $spacing-24;
    font-size: 16px;
    line-height: 28px;
  }

  @media (max-width: $breakpoint-sm) {
    &__cta:deep a {
      width: 100%;

      &:nth-of-type(2) {
        margin-top: $spacing-8;
      }
    }

    &__title {
      font-size: 24px;
      line-height: 30px;
    }

    &__subtitle {
      font-weight: normal;
      font-size: 19px;
      line-height: 24px;
    }
  }
}
</style>
